# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.10

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/pyrostefan/Documents/Parkmanne/Parkmanne

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/pyrostefan/Documents/Parkmanne/Parkmanne

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"headers\" \"libraries\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/pyrostefan/Documents/Parkmanne/Parkmanne/CMakeFiles /home/pyrostefan/Documents/Parkmanne/Parkmanne/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/pyrostefan/Documents/Parkmanne/Parkmanne/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named park

# Build rule for target.
park: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 park
.PHONY : park

# fast build rule for target.
park/fast:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/build
.PHONY : park/fast

#=============================================================================
# Target rules for targets named SQLiteCpp_cpplint

# Build rule for target.
SQLiteCpp_cpplint: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 SQLiteCpp_cpplint
.PHONY : SQLiteCpp_cpplint

# fast build rule for target.
SQLiteCpp_cpplint/fast:
	$(MAKE) -f thirdparty/SQLiteCpp/CMakeFiles/SQLiteCpp_cpplint.dir/build.make thirdparty/SQLiteCpp/CMakeFiles/SQLiteCpp_cpplint.dir/build
.PHONY : SQLiteCpp_cpplint/fast

#=============================================================================
# Target rules for targets named SQLiteCpp

# Build rule for target.
SQLiteCpp: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 SQLiteCpp
.PHONY : SQLiteCpp

# fast build rule for target.
SQLiteCpp/fast:
	$(MAKE) -f thirdparty/SQLiteCpp/CMakeFiles/SQLiteCpp.dir/build.make thirdparty/SQLiteCpp/CMakeFiles/SQLiteCpp.dir/build
.PHONY : SQLiteCpp/fast

#=============================================================================
# Target rules for targets named sqlite3

# Build rule for target.
sqlite3: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 sqlite3
.PHONY : sqlite3

# fast build rule for target.
sqlite3/fast:
	$(MAKE) -f thirdparty/SQLiteCpp/sqlite3/CMakeFiles/sqlite3.dir/build.make thirdparty/SQLiteCpp/sqlite3/CMakeFiles/sqlite3.dir/build
.PHONY : sqlite3/fast

Customer.o: Customer.cpp.o

.PHONY : Customer.o

# target to build an object file
Customer.cpp.o:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/Customer.cpp.o
.PHONY : Customer.cpp.o

Customer.i: Customer.cpp.i

.PHONY : Customer.i

# target to preprocess a source file
Customer.cpp.i:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/Customer.cpp.i
.PHONY : Customer.cpp.i

Customer.s: Customer.cpp.s

.PHONY : Customer.s

# target to generate assembly for a file
Customer.cpp.s:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/Customer.cpp.s
.PHONY : Customer.cpp.s

Interface.o: Interface.cpp.o

.PHONY : Interface.o

# target to build an object file
Interface.cpp.o:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/Interface.cpp.o
.PHONY : Interface.cpp.o

Interface.i: Interface.cpp.i

.PHONY : Interface.i

# target to preprocess a source file
Interface.cpp.i:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/Interface.cpp.i
.PHONY : Interface.cpp.i

Interface.s: Interface.cpp.s

.PHONY : Interface.s

# target to generate assembly for a file
Interface.cpp.s:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/Interface.cpp.s
.PHONY : Interface.cpp.s

Park_spot.o: Park_spot.cpp.o

.PHONY : Park_spot.o

# target to build an object file
Park_spot.cpp.o:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/Park_spot.cpp.o
.PHONY : Park_spot.cpp.o

Park_spot.i: Park_spot.cpp.i

.PHONY : Park_spot.i

# target to preprocess a source file
Park_spot.cpp.i:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/Park_spot.cpp.i
.PHONY : Park_spot.cpp.i

Park_spot.s: Park_spot.cpp.s

.PHONY : Park_spot.s

# target to generate assembly for a file
Park_spot.cpp.s:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/Park_spot.cpp.s
.PHONY : Park_spot.cpp.s

Park_time.o: Park_time.cpp.o

.PHONY : Park_time.o

# target to build an object file
Park_time.cpp.o:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/Park_time.cpp.o
.PHONY : Park_time.cpp.o

Park_time.i: Park_time.cpp.i

.PHONY : Park_time.i

# target to preprocess a source file
Park_time.cpp.i:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/Park_time.cpp.i
.PHONY : Park_time.cpp.i

Park_time.s: Park_time.cpp.s

.PHONY : Park_time.s

# target to generate assembly for a file
Park_time.cpp.s:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/Park_time.cpp.s
.PHONY : Park_time.cpp.s

Query.o: Query.cpp.o

.PHONY : Query.o

# target to build an object file
Query.cpp.o:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/Query.cpp.o
.PHONY : Query.cpp.o

Query.i: Query.cpp.i

.PHONY : Query.i

# target to preprocess a source file
Query.cpp.i:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/Query.cpp.i
.PHONY : Query.cpp.i

Query.s: Query.cpp.s

.PHONY : Query.s

# target to generate assembly for a file
Query.cpp.s:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/Query.cpp.s
.PHONY : Query.cpp.s

data.o: data.cpp.o

.PHONY : data.o

# target to build an object file
data.cpp.o:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/data.cpp.o
.PHONY : data.cpp.o

data.i: data.cpp.i

.PHONY : data.i

# target to preprocess a source file
data.cpp.i:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/data.cpp.i
.PHONY : data.cpp.i

data.s: data.cpp.s

.PHONY : data.s

# target to generate assembly for a file
data.cpp.s:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/data.cpp.s
.PHONY : data.cpp.s

encrypt.o: encrypt.cpp.o

.PHONY : encrypt.o

# target to build an object file
encrypt.cpp.o:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/encrypt.cpp.o
.PHONY : encrypt.cpp.o

encrypt.i: encrypt.cpp.i

.PHONY : encrypt.i

# target to preprocess a source file
encrypt.cpp.i:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/encrypt.cpp.i
.PHONY : encrypt.cpp.i

encrypt.s: encrypt.cpp.s

.PHONY : encrypt.s

# target to generate assembly for a file
encrypt.cpp.s:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/encrypt.cpp.s
.PHONY : encrypt.cpp.s

main.o: main.cpp.o

.PHONY : main.o

# target to build an object file
main.cpp.o:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/main.cpp.o
.PHONY : main.cpp.o

main.i: main.cpp.i

.PHONY : main.i

# target to preprocess a source file
main.cpp.i:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/main.cpp.i
.PHONY : main.cpp.i

main.s: main.cpp.s

.PHONY : main.s

# target to generate assembly for a file
main.cpp.s:
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/main.cpp.s
.PHONY : main.cpp.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... install/strip"
	@echo "... edit_cache"
	@echo "... park"
	@echo "... rebuild_cache"
	@echo "... list_install_components"
	@echo "... install/local"
	@echo "... install"
	@echo "... SQLiteCpp_cpplint"
	@echo "... SQLiteCpp"
	@echo "... sqlite3"
	@echo "... Customer.o"
	@echo "... Customer.i"
	@echo "... Customer.s"
	@echo "... Interface.o"
	@echo "... Interface.i"
	@echo "... Interface.s"
	@echo "... Park_spot.o"
	@echo "... Park_spot.i"
	@echo "... Park_spot.s"
	@echo "... Park_time.o"
	@echo "... Park_time.i"
	@echo "... Park_time.s"
	@echo "... Query.o"
	@echo "... Query.i"
	@echo "... Query.s"
	@echo "... data.o"
	@echo "... data.i"
	@echo "... data.s"
	@echo "... encrypt.o"
	@echo "... encrypt.i"
	@echo "... encrypt.s"
	@echo "... main.o"
	@echo "... main.i"
	@echo "... main.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

